%define unpackaged_files_terminate_build 1

Name: bugzilla
Version: 3.2.4
Release: alt1
Summary: A bug tracking system developed by mozilla.org
License: %mpl
Group: Networking/WWW
Url: http://www.bugzilla.org/
Packager: Mikhail Gusarov <dottedmag@altlinux.org>

%define bugzilla_ru_version 1.0

%define bugzilla_ftp http://ftp.mozilla.org/pub/mozilla.org/webtools
%define bugzilla_ru_ftp http://ftp.mozilla-russia.org/bugzilla

%define bugzilla_scripts_dir %_datadir/bugzilla
%define bugzilla_web_dir %webserver_webappsdir/bugzilla
%define bugzilla_doc_dir %_defaultdocdir/%name-%version
%define bugzilla_doc_doc_dir %_defaultdocdir/%name-doc-%version

# %bugzilla_ftp/%name-%version.tar.gz
Source0: %name-%version.tar
Source1: %name-ru.tar
Source2: apache2-vhost.sample
Source3: BugzillaInstance.pm

Conflicts: bugzilla-ru <= 2.16.1.1.0-alt2
Obsoletes: bugzilla-ru

%define _perl_lib_path %bugzilla_web_dir

BuildRequires(pre): rpm-build-licenses rpm-macros-webserver-common
BuildRequires: rpm-build-perl
# Automatically added by buildreq on Thu Jan 29 2009 (-bi)
BuildRequires: perl-Authen-Radius perl-CPAN perl-DBD-Pg perl-DBM perl-Email-MIME-Attachment-Stripper perl-Email-Reply perl-Email-Send perl-Storable perl-Template perl-XML-Twig perl-ldap

# WebPolicy
Requires: webserver-common

#
# Explicitly enabling patch-handling
#
Requires: perl-PatchReader
Requires: patchutils

#
# More HTML in Product/Group Descriptions
#
Requires: perl-HTML-Scrubber

#
# XML-RPC interface
#
Requires: perl-SOAP-Lite

#
# MySQL
#
Requires: perl-DBD-mysql

#
# Graphical reports and charts are disabled due to security holes in modules and
# high load imposed on server.
#
%def_without graphs

%if_with graphs
Requires: perl-GD, perl-Template-GD, perl-GD-Graph, perl-GD-Text, perl-Chart
%endif

#
# apache2-mod_perl is buggy (14.04.2008), so disabling mod_perl.pl
# integrity checking.
#
# Please check whether mod_perl works for you and enable back if needed.
#
%add_findreq_skiplist /usr/share/bugzilla/mod_perl.pl

# avoid unnecessary dependency on apache2-mod_perl
%add_findreq_skiplist /usr/lib/perl5/vendor_perl/Bugzilla.pm /usr/lib/perl5/vendor_perl/Bugzilla/Install/Util.pm /var/www/webapps/bugzilla/buglist.cgi

# manually add requires from previously skipped files
Requires: perl(File/Basename.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(Safe.pm) perl(File/Basename.pm) perl(Date/Parse.pm) perl(Locale/Language.pm)

# We do not have perl-DBD-oracle in ALT Linux
%add_findreq_skiplist /usr/lib/perl5/vendor_perl/Bugzilla/DB/Oracle.pm

%description
Bugzilla is the bug tracking system developed by mozilla.org.

%package -n perl-Bugzilla
Summary: Perl modules for Bugzilla bug tracking system
Group: Development/Perl
Conflicts: bugzilla-perl <= 2.16.8-alt3
Obsoletes: bugzilla-perl <= 2.16.8-alt3

%description -n perl-Bugzilla
Bugzilla is the bug tracking system developed by mozilla.org.

This package contains Perl modules for Bugzilla.

%package -n %name-doc
Summary: A docs for Bugzilla
Group: Books/Other
BuildArch: noarch

%description -n %name-doc
%name-doc - Documentation for Bugzilla.

%prep
%setup
%setup -T -D -a 1

%build
# fix INC path
sed -i -e "s,@bugzilla_web_dir@,%bugzilla_web_dir,g" Bugzilla/Constants.pm

%install
#
# Tools
#
mkdir -p %buildroot%bugzilla_scripts_dir
cp *.pl %buildroot%bugzilla_scripts_dir

#
# Perl modules
#
mkdir -p %buildroot%perl_vendor_privlib
cp -a Bugzilla.pm Bugzilla %buildroot%perl_vendor_privlib

find %buildroot -type f -name .cvsignore -delete

#
# Web part
#
mkdir -p %buildroot%bugzilla_web_dir
install *.cgi *.xul bugzilla.dtd robots.txt %buildroot%bugzilla_web_dir
cp -a images js skins template %buildroot%bugzilla_web_dir
cp -a bugzilla-ru/help bugzilla-ru/template %buildroot%bugzilla_web_dir
cp -a %SOURCE3 %buildroot%bugzilla_web_dir

#
# Documentation
#
mkdir -p %buildroot%bugzilla_doc_dir
install QUICKSTART README* UPGRADING* %buildroot%bugzilla_doc_dir
install bugzilla-ru/README* %buildroot%bugzilla_doc_dir
cp -a %SOURCE2 %buildroot%bugzilla_doc_dir

mkdir -p %buildroot%bugzilla_doc_doc_dir
cp -a docs/* t %buildroot%bugzilla_doc_doc_dir

%files
%bugzilla_scripts_dir
%bugzilla_web_dir
%bugzilla_doc_dir

%files -n perl-Bugzilla
%perl_vendor_privlib/Bugzilla*

%files -n %name-doc
%bugzilla_doc_doc_dir

%changelog
* Fri Jul 10 2009 Vladimir V. Kamarzin <vvk@altlinux.org> 3.2.4-alt1
[ Mikhail Gusarov ]
- 3.2.4. Security fixes:
  + Unauthorized Bug Change, see
  https://bugzilla.mozilla.org/show_bug.cgi?id=495257

* Wed Apr 01 2009 Vladimir V. Kamarzin <vvk@altlinux.org> 3.2.3-alt1
[ Mikhail Gusarov ]
- 3.2.3. Security fixes:
  + SA34545 "attachment.cgi" Cross-Site Request Forgery Vulnerability

* Wed Feb 04 2009 Vladimir V. Kamarzin <vvk@altlinux.org> 3.2.1-alt1
[ Mikhail Gusarov ]
- 3.2.1 release fixes multiple vulnerabilities, see
  http://secunia.com/advisories/33781
  Note that "mod_perl"-related vulnerability still unfixed in this release
- Sisyphus-specific patches dropped as integrated upstream or no longer
  relevant
- Perl modules are moved to perl-Bugzilla source package: Perl modules are
  arch-specific in Sisyphus, and rest of Bugzilla is arch-independent.
- Beware! Bugzilla/Constants.pm is kept in /var/www as it holds the directory
  layout for Bugzilla.
- bugzilla-doc-pdf contents moved to bugzilla-doc package.
- Russian localization incorporpated into bugzilla source package.
- Complete overhaul of specfile.

[ Vladimir V. Kamarzin ]
- Move bugzilla www part to /var/www/webapps/bugzilla and make some other
  WebPolicy adaptations
- Make installation process with checksetup.pl working out-of-box
- Fix locations of data directories
- Avoid unnecessary dependency on apache2-mod_perl

* Mon May 23 2005 Aleksey Avdeev <solo@altlinux.ru> 2.16.8-alt3
- no auto start checksetup.pl and collectstats.pl post install
  (fixed bug 6913 <https://bugzilla.altlinux.org/show_bug.cgi?id=6913>)
- fixed bug 6915 <https://bugzilla.altlinux.org/show_bug.cgi?id=6915>

* Thu Feb 10 2005 Aleksey Avdeev <solo@altlinux.ru> 2.16.8-alt2
- SPEC modification
- add param usesearchcomponentsenterbug
  (bugzilla-usesearchcomponentsenterbug-feat.patch)

* Wed Jan 26 2005 Aleksey Avdeev <solo@altlinux.ru> 2.16.8-alt1
- SPEC modification
- new version 2.16.8
- update bugzilla-add-lang-switch.patch (for 2.16.8)
- remove bugzilla-apache-group-fix.patch (included in 2.16.8)
- auto start checksetup.pl and collectstats.pl post install
- generate bugzilla, bugzilla-perl, bugzilla-doc and
  bugzilla-doc-pdf

* Fri May 02 2003 Alexey Gladkov <legion@altlinux.ru> 2.16.3-alt1
- First build for ALTLinux
- SPEC modification
- new version 2.16.3
- some patches

* Sat Mar 01 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.16.1-4mdk
- cron task

* Tue Feb 25 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.16.1-3mdk
- automatic apache integration

* Fri Jan 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.16.1-2mdk
- rebuild

* Wed Oct 02 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.16.1-1mdk
- new version (security fixes)

* Mon Aug 12 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.16-2mdk
- fix Requires

* Tue Jul 30 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.16-1mdk
- new spanking major version
- misc spec file fixes

* Sat Jun  8 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.14.2-1mdk
- new version

* Mon May 20 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.14.1-1mdk
- new version
- new URL

* Mon Sep 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.14-1mdk
- updated & fixed by Don Head <donhead@linux-certified.org> :
- Merge with Red Hat:
  - add requirement for perl-DBD-MySQL (Mandrake requires perl-Mysql)
  - updated to 2.14 for security errata
  - added requires for perl-GD
  - forgot to include *.js files. Fixed. (#42795)
  - updated to 2.12, updated perlpath patch
  - added suggested fixes from bug 19497
  - Security fixes 38411
  - Note: This is not the Red Hat version of Bugzilla. You can grab that
    at ftp://people.redhat.com/dkl
  - fixed bug #16147, dependancy problems.
  - patched all the files which looked for perl in /usr/bonsaitools/bin
  - fixed problem with /usr/bonsai/perl not existing.

* Mon Feb 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.11-2mdk
- great fixes from Don Head <donhead@linux-certified.org> :
	- Move to /var/www for FHS
	- Fix perl requires

* Mon Nov 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.11-1mdk
- used srpm from  Oden Eriksson <oden@kvikkjokk.com> :
	- 2.11
	- changed the perl path

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jun 21 2000 Tim Powers <timp@redhat.com>
- somehow changes were lost, don't know why but they were. Fixed

* Tue Jun 20 2000 Tim Powers <timp@redhat.com>
- fixed location for installation. Now out of /home (it's about time).

* Mon Jun 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.10

* Thu Jan 13 2000 Dave Lawrence <dkl@redhat.com>
- Minor cosmetic changes
- Different group permission mechanisms
- Packaged for Powertools

* Wed Nov 24 1999 Dave Lawrence <dkl@redhat.com>
- updated to 2.8 (w/Red Hat mods)
- added perl and perl-DBI to requires

* Fri Jul 30 1999 Tim Powers <timp@redhat.com>
- updated to 2.4, updated %%post
- added URL and download loc.
- rebuilt for 6.1

* Mon Jan 11 1999 Michael Maher <mike@redhat.com>
- cleaned up spec file a bit.
- ran thru build system

* Thu Dec 10 1998 Andrew Anderson <andrew@redhat.com>
- Initial packaging
